Package Gnumed :: Package wxpython :: Module gmSOAPWidgets :: Class cNotebookedProgressNoteInputPanel |
[frames] | no frames]

# Class cNotebookedProgressNoteInputPanel

source code

    wx.Panel --+
               |
              cNotebookedProgressNoteInputPanel

    A panel for entering multiple progress notes in context.

    Expects to be used as a notebook page.

    Left hand side:
    - problem list (health issues and active episodes)

    Right hand side:
    - notebook with progress note editors

    Listens to patient change signals, thus acts on the current patient.

Instance Methods
__init__(self, parent, id) Contructs a new instance of SOAP input panel | source code
reset_ui_content(self) Clear all information from input panel | source code
repopulate_ui(self) | source code

Method Details

### __init__(self, parent, id) (Constructor) | source code
Contructs a new instance of SOAP input panel Parameters: `parent` - Wx parent widget `id` - Wx widget id